=== debian/changelog ===
synergy (1.4.5-1) experimental; urgency=low

  * Move to upstream 1.4.x series.

 -- Jeff Licquia <licquia@debian.org>  Sat, 14 Jan 2012 13:59:27 -0500
