## synergy 1.4.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Version number for Synergy
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 4)
-set(VERSION_REV 5)
+set(VERSION_REV 10)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")
 
 # The check for 2.6 may be too strict (consider lowering).
@@ -149,10 +149,13 @@
 			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
 				CACHE STRING "" FORCE)
 		else()
-			# 10.5+: 32-bit only (missing funcs in 64-bit os libs)
+			# 10.5+: 32-bit only -- missing funcs in 64-bit os libs
+			# such as GetGlobalMouse.
 			set(CMAKE_OSX_ARCHITECTURES "i386"
 				CACHE STRING "" FORCE)
 		endif()
+		
+		set(CMAKE_CXX_FLAGS "--sysroot ${CMAKE_OSX_SYSROOT} ${CMAKE_CXX_FLAGS}")
 
 		find_library(lib_ScreenSaver ScreenSaver)
 		find_library(lib_IOKit IOKit)
@@ -170,13 +173,19 @@
 
 	else()
 
-		set(XKBlib "X11/XKBlib.h")
+		# add include dir for bsd (posix uses /usr/include/)
+		set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}:/usr/local/include")
+
+		set(XKBlib "X11/Xlib.h;X11/XKBlib.h")
+		check_symbol_exists("XRRNotifyEvent" "${XKBlib};X11/extensions/Xrandr.h" HAVE_X11_EXTENSIONS_XRANDR_H)
+
 		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
 		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
 		check_include_files("${XKBlib};X11/extensions/XKBstr.h" HAVE_X11_EXTENSIONS_XKBSTR_H)
 		check_include_files("X11/extensions/XKB.h" HAVE_XKB_EXTENSION)
 		check_include_files("X11/extensions/XTest.h" HAVE_X11_EXTENSIONS_XTEST_H)
-		check_include_files(${XKBlib} HAVE_X11_XKBLIB_H)
+		check_include_files("${XKBlib}" HAVE_X11_XKBLIB_H)
+		check_include_files("X11/extensions/XInput2.h" HAVE_XI2)
 
 		if (HAVE_X11_EXTENSIONS_DPMS_H)
 			# Assume that function prototypes declared, when include exists.
@@ -188,9 +197,11 @@
 		endif()
 
 		check_library_exists("SM;ICE" IceConnectionNumber "" HAVE_ICE)
-		check_library_exists("X11;Xext" DPMSQueryExtension "" HAVE_Xext)
-		check_library_exists("X11;Xext;Xtst" XTestQueryExtension "" HAVE_Xtst)
+		check_library_exists("Xext;X11" DPMSQueryExtension "" HAVE_Xext)
+		check_library_exists("Xtst;Xext;X11" XTestQueryExtension "" HAVE_Xtst)
 		check_library_exists("Xinerama" XineramaQueryExtension "" HAVE_Xinerama)
+		check_library_exists("Xi" XISelectEvents "" HAVE_Xi)
+		check_library_exists("Xrandr" XRRQueryExtension "" HAVE_Xrandr)
 
 		if (HAVE_ICE)
 
@@ -204,7 +215,7 @@
 
 			# Xtxt depends on X11.
 			set(HAVE_X11)
-			list(APPEND libs X11 Xtst)
+			list(APPEND libs Xtst X11)
 
 		else()
 
@@ -220,11 +231,20 @@
 			list(APPEND libs Xinerama)
 		else (HAVE_Xinerama)
 			if (HAVE_X11_EXTENSIONS_XINERAMA_H)
-				message(FATAL_ERROR "Missing library: Xinerama")
+				set(HAVE_X11_EXTENSIONS_XINERAMA_H 0)
+				message(WARNING "Old Xinerama implementation detected, disabled")
 			endif()
 		endif()
 
-	endif()
+		if (HAVE_Xrandr)
+			list(APPEND libs Xrandr)
+		endif()
+
+	endif()
+
+        IF(HAVE_Xi)
+                LIST(APPEND libs Xi)
+        ENDIF()
 
 	# For config.h, set some static values; it may be a good idea to make
 	# these values dynamic for non-standard UNIX compilers.
@@ -248,7 +268,7 @@
 	add_definitions(-DSYSAPI_UNIX=1 -DHAVE_CONFIG_H)
 
 	if (APPLE)
-		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE -DMACOSX_DEPLOYMENT_TARGET=10.4)
+		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE)
 	else (APPLE)
 		add_definitions(-DWINAPI_XWINDOWS=1)
 	endif()
@@ -263,7 +283,22 @@
 		/D_CRT_SECURE_NO_WARNINGS
 		/DVERSION=\"${VERSION}\"
 	)
-
+	
+	if (MSVC_VERSION EQUAL 1600)
+		set(SLN_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/synergy.sln")
+		if (EXISTS "${SLN_FILENAME}" )
+			file(APPEND "${SLN_FILENAME}" "\n# This should be regenerated!\n")
+		endif()
+	endif()
+
+endif()
+
+if (GAME_DEVICE_SUPPORT)
+	add_definitions(-DGAME_DEVICE_SUPPORT)
+endif()
+
+if (VNC_SUPPORT)
+	add_definitions(-DVNC_SUPPORT)
 endif()
 
 add_subdirectory(src)
@@ -346,9 +381,3 @@
 
 if (CONF_DOXYGEN)
 
-	set(VERSION, "${VERSION}")
-
-	# For doxygen.cfg, save the results based on a template (doxygen.cfg.in).
-	configure_file(${cmake_dir}/doxygen.cfg.in ${doc_dir}/doxygen.cfg)
-
-endif()
