=== debian/changelog ===
synergy (1.4.10-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 20 Dec 2012 23:18:21 -0600

synergy (1.4.10-1) experimental; urgency=low

  * New upstream version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 28 Oct 2012 16:35:08 -0400

synergy (1.4.8-1) experimental; urgency=low

  * New upstream version.
  * Add synergyd, a new daemon upstream is working on (more for
    Windows, I think).

 -- Jeff Licquia <licquia@debian.org>  Sun, 15 Apr 2012 20:40:40 -0400

synergy (1.4.7-1) experimental; urgency=low

  * New upstream version.
  * Remove gnome3.patch (pulled in upstream).
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 01 Apr 2012 20:14:53 -0400
